POST api/invoices/regenerate
Request Information
URI Parameters
None.
Body Parameters
InvoiceImageGenerateRequestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| sf_id | string |
None. |
|
| load_number | string |
None. |
|
| debtor_id | string |
None. |
|
| linehaul_amount | decimal number |
None. |
|
| less_advances_amount | decimal number |
None. |
|
| detention_amount | decimal number |
None. |
|
| lumper_paid_amount | decimal number |
None. |
|
| amount | decimal number |
None. |
|
| date | date |
None. |
|
| InvoiceCharges | Collection of InvoiceTransactionDTO |
None. |
Request Formats
application/json, text/json
Sample:
{
"sf_id": "sample string 1",
"load_number": "sample string 2",
"debtor_id": "sample string 3",
"linehaul_amount": 1.0,
"less_advances_amount": 1.0,
"detention_amount": 1.0,
"lumper_paid_amount": 1.0,
"amount": 1.0,
"date": "2026-03-15T08:37:32.8653142-05:00",
"InvoiceCharges": [
{
"InvoiceTransactionId": "3facf4d9-239a-4759-b962-3cbbf15eecf8",
"InvoiceId": "1693edf3-9553-47ad-aa99-31eb0075434f",
"TransactionType": "sample string 3",
"Name": "sample string 4",
"Amount": 5.0
},
{
"InvoiceTransactionId": "3facf4d9-239a-4759-b962-3cbbf15eecf8",
"InvoiceId": "1693edf3-9553-47ad-aa99-31eb0075434f",
"TransactionType": "sample string 3",
"Name": "sample string 4",
"Amount": 5.0
}
]
}
application/xml, text/xml
Sample:
<InvoiceImageGenerateRequestDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebAPI.DTO.Net">
<InvoiceCharges>
<InvoiceTransactionDTO>
<Amount>5</Amount>
<InvoiceId>1693edf3-9553-47ad-aa99-31eb0075434f</InvoiceId>
<InvoiceTransactionId>3facf4d9-239a-4759-b962-3cbbf15eecf8</InvoiceTransactionId>
<Name>sample string 4</Name>
<TransactionType>sample string 3</TransactionType>
</InvoiceTransactionDTO>
<InvoiceTransactionDTO>
<Amount>5</Amount>
<InvoiceId>1693edf3-9553-47ad-aa99-31eb0075434f</InvoiceId>
<InvoiceTransactionId>3facf4d9-239a-4759-b962-3cbbf15eecf8</InvoiceTransactionId>
<Name>sample string 4</Name>
<TransactionType>sample string 3</TransactionType>
</InvoiceTransactionDTO>
</InvoiceCharges>
<amount>1</amount>
<date>2026-03-15T08:37:32.8653142-05:00</date>
<debtor_id>sample string 3</debtor_id>
<detention_amount>1</detention_amount>
<less_advances_amount>1</less_advances_amount>
<linehaul_amount>1</linehaul_amount>
<load_number>sample string 2</load_number>
<lumper_paid_amount>1</lumper_paid_amount>
<sf_id>sample string 1</sf_id>
</InvoiceImageGenerateRequestDTO>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
JsonResultOfInvoiceAttachmentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Content | InvoiceAttachmentDTO |
None. |
|
| SerializerSettings | JsonSerializerSettings |
None. |
|
| Encoding | Encoding |
None. |
|
| Request | HttpRequestMessage |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.